Bug 822228 - "discovery -f" should abort if a discovery scan is already in progress
"discovery -f" should abort if a discovery scan is already in progress
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 13:39 EDT by Ian Springer
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:12:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-16 13:39:53 EDT
Otherwise, "discovery -f" will take up to twice as long to return, while it waits for the currently running scan to complete and then kicks off a new scan and waits for that to complete. That could be confusing or frustrating to users.
Comment 1 Ian Springer 2012-05-16 14:22:31 EDT
Done in master:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=15d7dca
Comment 4 Heiko W. Rupp 2013-09-01 06:12:19 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.